Update form
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"regenerateInviteCode": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
fields: [{}],
settings: {},
themePrimaryColor: '<string>',
themeBackgroundColor: '<string>',
successMessage: '<string>',
closeAt: '2023-11-07T05:31:56Z',
maxResponses: 123,
requireEmail: true,
requireName: true,
requirePhone: true,
allowMultipleSubmissions: true,
regenerateInviteCode: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [{}],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"requireEmail": True,
"requireName": True,
"requirePhone": True,
"allowMultipleSubmissions": True,
"regenerateInviteCode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"status": "<string>",
"visibility": "<string>",
"inviteCode": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"responseCount": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Forms
Update form
Requires write:forms.
PATCH
/
api
/
v1
/
marketing
/
forms
/
{id}
Update form
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/marketing/forms/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"regenerateInviteCode": true
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
fields: [{}],
settings: {},
themePrimaryColor: '<string>',
themeBackgroundColor: '<string>',
successMessage: '<string>',
closeAt: '2023-11-07T05:31:56Z',
maxResponses: 123,
requireEmail: true,
requireName: true,
requirePhone: true,
allowMultipleSubmissions: true,
regenerateInviteCode: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/forms/{id}"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"fields": [{}],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"requireEmail": True,
"requireName": True,
"requirePhone": True,
"allowMultipleSubmissions": True,
"regenerateInviteCode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"status": "<string>",
"visibility": "<string>",
"inviteCode": "<string>",
"fields": [
{}
],
"settings": {},
"themePrimaryColor": "<string>",
"themeBackgroundColor": "<string>",
"successMessage": "<string>",
"closeAt": "2023-11-07T05:31:56Z",
"maxResponses": 123,
"responseCount": 123,
"requireEmail": true,
"requireName": true,
"requirePhone": true,
"allowMultipleSubmissions": true,
"publishedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Required string length:
1 - 200Minimum string length:
1Available options:
draft, published, closed Available options:
public, invite_only, customers_only Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I